=== modified file 'lib/lp/app/javascript/tests/test_personpicker.js'
--- lib/lp/app/javascript/tests/test_personpicker.js	2011-06-14 14:38:47 +0000
+++ lib/lp/app/javascript/tests/test_personpicker.js	2011-06-23 02:43:46 +0000
@@ -32,6 +32,19 @@
             Y.Assert.isNotUndefined(personpicker.remove_button);
         },
 
+        test_search_field_focus: function () {
+            var personpicker = new Y.lp.app.widgets.PersonPicker();
+            personpicker.render();
+            personpicker.hide();
+
+            var got_focus = false;
+            personpicker._search_input.on('focus', function(e) {
+                got_focus = true;
+            });
+            personpicker.show();
+            Y.Assert.isTrue(got_focus, "search input did not get focus.");
+        },
+
         test_buttons: function () {
             var personpicker = new Y.lp.app.widgets.PersonPicker();
             personpicker.render();

=== modified file 'lib/lp/app/javascript/widgets.js'
--- lib/lp/app/javascript/widgets.js	2011-06-21 21:43:31 +0000
+++ lib/lp/app/javascript/widgets.js	2011-06-23 02:43:46 +0000
@@ -101,10 +101,12 @@
 
     hide: function() {
         this.get('boundingBox').setStyle('display', 'none');
+        this.constructor.superclass.hide.call(this);
     },
 
     show: function() {
         this.get('boundingBox').setStyle('display', 'block');
+        this.constructor.superclass.show.call(this);
     },
 
     remove: function () {

